rekonq (2.4.2-0ubuntu2) utopic; urgency=medium

  * Remove build-depends on nepomuk

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 12 Aug 2014 19:27:54 +0200

rekonq (2.4.2-0ubuntu1) trusty; urgency=medium

  * New upstream release LP: #1268650

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 12:12:18 +0000

rekonq (2.4.0-0ubuntu1) trusty; urgency=low

  * New upstream release LP: #1256270

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 10:52:38 +0000

rekonq (2.3.2-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1196237) 

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 30 Jun 2013 21:25:41 +0800

rekonq (2.3.1-0ubuntu1) saucy; urgency=low

  * New upstream release. (LP: #1193833)
  * Build-depend on libkactivities-dev for KDE workspace activities support.

 -- Howard Chan <smartboyhw@gmail.com>  Sun, 23 Jun 2013 22:06:09 +0800

rekonq (2.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1174223)
    - refresh kubuntu_default_homepages.diff
    - drop upstream patches:
      + 0001-downloads-should-by-default-go-to-the-configured-dow.patch
      + 0001-honor-filetype-setting-WRT-embedding.patch
      + 0001-pass-menutitle-through-i18n-to-get-it-localized.patch
      + 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch
    - build-depend on libx11-dev

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 01 May 2013 19:59:23 +0200

rekonq (2.2.1-0ubuntu5) raring; urgency=low

  * Add 0001-i18n-make-sure-text-passed-to-i18n-is-UTF-8.patch from upstream.
    Strings to i18n must be UTF-8.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 12:35:35 +0200

rekonq (2.2.1-0ubuntu4) raring; urgency=low

  * Add 0001-pass-menutitle-through-i18n-to-get-it-localized.patch from upstream.
    rekonqrc.ui is parsed manually but did not localize the titles.

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 16 Apr 2013 11:16:05 +0200

rekonq (2.2.1-0ubuntu3) raring; urgency=low

  * Add 0001-honor-filetype-setting-WRT-embedding.patch from upstream.
    This makes rekonq follow the KDE filetype settings for kpart embedding.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 12 Apr 2013 14:29:28 +0200

rekonq (2.2.1-0ubuntu2) raring; urgency=low

  * Add 0001-downloads-should-by-default-go-to-the-configured-dow.patch from
    upstream.
    This makes the download location default to the xdg downloads dir

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 10 Apr 2013 10:52:14 +0200

rekonq (2.2.1-0ubuntu1) raring; urgency=low

  * New bugfix upstream release to fix bookmarks.  

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 08 Mar 2013 18:36:38 +0800

rekonq (2.2-0ubuntu1) raring; urgency=low

  [ Howard Chan ]
  * New upstream release.
  * Updated debian/control to the latest standards version (version 3.9.4)
  * Updated debian/control to delete obsolete field

  [ Philip Muškovac ]
  * Add nepomuk-core-dev to Build-Depends for bookmark tagging support

 -- Howard Chan <smartboyhw@gmail.com>  Fri, 01 Mar 2013 21:50:34 +0800

rekonq (2.1-0ubuntu1) raring; urgency=low

  * New upstream release.
  * Fixed patch kubuntu_no_default_bookmarks.diff

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 30 Jan 2013 21:39:37 +0800

rekonq (2.0-0ubuntu1) raring; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 07 Jan 2013 16:13:31 +0000

rekonq (1.80-0ubuntu1) raring; urgency=low

  * New upstream alpha release (LP: #1082738)
    - build-depend on libqoauth-dev and shared-desktop-ontologies
    - port kubuntu_restricted_install.diff to the new code

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 20:00:30 +0100

rekonq (1.3-0ubuntu1) raring; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 15 Dec 2012 13:14:17 +0100

rekonq (1.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 29 Aug 2012 17:00:47 +0100

rekonq (1.0-0ubuntu2) quantal; urgency=low

  * experimentally add kubuntu_adblock.diff, no easy way to set this in
    kubuntu-default-settings

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 10 Aug 2012 16:44:59 +0100

rekonq (1.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 23 Jul 2012 11:23:24 +0100

rekonq (0.9.90-0ubuntu1) quantal; urgency=low

  * New upstream beta release
  * Merge with Debian, remaining changes:
    - keep kubuntu patches

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 20 Jul 2012 13:55:25 +0100

rekonq (0.9.2-1) unstable; urgency=low

  * New upstream release.
  * Bump libqtwebkit-dev build dependency to 2.2.0.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 19 May 2012 16:14:21 +0200

rekonq (0.9.0-1-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.
  * Bump debhelper build depend to 9.
  * Build depend on pkg-config.
  * Fix watch file.
  * Bump Standards-Version to 3.9.3, no changes needed.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 20 Mar 2012 23:06:33 +0100

rekonq (0.9.2-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Kolberg <bulldog98@kubuntu.org>  Thu, 03 May 2012 21:31:53 +0200

rekonq (0.9.1-0ubuntu2) precise-proposed; urgency=low

  * Rebuild for .pot generation

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 12 Apr 2012 16:32:11 +0100

rekonq (0.9.1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 10 Apr 2012 14:43:44 +0200

rekonq (0.9.0-1-0ubuntu1) precise; urgency=low

  * New upstream release 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 12 Mar 2012 19:57:30 +0100

rekonq (0.8.90-0ubuntu1) precise; urgency=low

  * New upstream release candidate 

 -- Philip Muškovac <yofel@kubuntu.org>  Thu, 01 Mar 2012 21:47:33 +0100

rekonq (0.8.71-0ubuntu1) precise; urgency=low

  * Merge with debian, remaining changes:
    - keep kubuntu patches
  * New upstream beta release
    - refresh kubuntu_default_homepages.diff and 
      kubuntu_restricted_install.diff
  * Bump minimum debhelper version to 9 to fix lintian warning
  * Add pkg-config to build-depends

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 11 Feb 2012 19:44:49 +0100

rekonq (0.8.1-1) experimental; urgency=low

  * New upstream release.

  [ Felix Geyer ]
  * Update copyright file.
  * Enable hardening build flags.
    - Switch to debhelper compat level v9.

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 27 Dec 2011 01:26:30 +0100

rekonq (0.8.0-1ubuntu1) precise; urgency=low

  * Merge with Debian
   - Add back missing patches
    - kubuntu_default_homepages.diff
    - kubuntu_initial_preference.diff
    - kubuntu_no_default_bookmarks.diff
    - kubuntu_restricted_install.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 08 Dec 2011 10:44:45 +0000

rekonq (0.8.0-1) experimental; urgency=low

  * New upstream release (Closes: #647903)

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.
  * Bump kdelibs5-dev build depend to 4:4.7.
  * Remove patches:
    - dont_set_app_as_parent.diff, applied upstream.
    - fix_history_ordering.diff, applied upstream.
  * rekonq binary package depends on kde-baseapps-bin instead of kdebase-bin.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 03 Dec 2011 10:44:45 -0300

rekonq (0.8.0-0ubuntu2) precise; urgency=low

  * Remove auto-generated patch that got included by accident 

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 24 Oct 2011 18:02:15 +0200

rekonq (0.8.0-0ubuntu1) precise; urgency=low

  * New upstream release
    - copyright was standardizized

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Sat, 15 Oct 2011 12:33:12 +0200

rekonq (0.7.90-0ubuntu1) oneiric; urgency=low

  * New upstream beta release (LP: #861631)
  * Dropped fix_history_ordering.diff
  * Refreshed dont_set_app_as_parent.diff
  * Updated the copyright

 -- Jonathan Kolberg <bulldog98@kubuntu-de.org>  Mon, 19 Sep 2011 11:36:20 +0200

rekonq (0.7.0-2) UNRELEASED; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add myself to Uploaders.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 28 May 2011 01:56:24 +0200

rekonq (0.7.0-1) unstable; urgency=low

  * New upstream release. (Closes: #618906)

  [ Felix Geyer ]
  * Point Vcs fields to the git repository.
  * Add build dependency on libqtwebkit-dev. (Closes: #611270)
  * Drop build dependency on pkg-config and libgtk2.0-dev.
  * Set minimum version of kdelibs5-dev to 4.5.0.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Switch to debhelper compat level 8.
  * Set homepage to http://rekonq.kde.org/.
  * Add kget as a suggests of rekonq.
  * Drop CVE-2010-2536_fix_xss_vulnerabilities.diff, fixed upstream.
  * Add DM-Upload-Allowed: yes.

  [ José Manuel Santamaría Lema ]
  * Add libqtwebkit4-dbg to Recommends.
  * Add dont_set_app_as_parent.diff; fixes a crash on exit.
  * Add fix_history_ordering.diff in order to make history browsing work
    properly.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sat, 28 May 2011 00:33:36 +0200

rekonq (0.5.0-2) unstable; urgency=medium

  * Fix CVE-2010-2536: multiple XSS vulnerabilities (Closes: #593300)
    - Add CVE-2010-2536_fix_xss_vulnerabilities.diff

 -- Felix Geyer <debfx-pkg@fobos.de>  Tue, 17 Aug 2010 11:16:04 +0200

rekonq (0.5.0-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.0, no changes needed.
  * Add "-Wl,--as-needed" to LDFLAGS.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 11 Jul 2010 12:51:01 +0200

rekonq (0.4.0-1) unstable; urgency=low

  * Upload to Debian. (Closes: #522396)
  * Set maintainer to Debian KDE Extras Team and add myself to uploaders.
  * Replace docbook manpage with one generated by kdemangen.pl.
  * Disable tests in debian/rules instead of patching the source.
    - Drop debian/patches
  * Enable parallel building.
  * Update debian/copyright.
  * Provide a debug package.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 23 May 2010 01:21:12 +0200

rekonq (0.4.0-0ubuntu2) maverick; urgency=low

  * Add cmake to build-dependencies as kdelibs5-dev no longer depends on it.
  * Register as x-www-browser alternative. (LP: #567211)
    - Add debian/rekonq.postinst and debian/rekonq.prerm

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 19 May 2010 00:49:10 +0200

rekonq (0.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 12 Mar 2010 08:35:40 -0500

rekonq (0.3.90-0ubuntu4) lucid; urgency=low

  * Fixed debian/control again:
    - rekonq depends on kdebase-bin, not konq-plugins...

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:58:12 +0100

rekonq (0.3.90-0ubuntu3) lucid; urgency=low

  * Fixed debian/control:
    - Recommends konq-plugins

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:49:42 +0100

rekonq (0.3.90-0ubuntu2) lucid; urgency=low

  * Make the rekonq package provide www-browser (LP: #523141)
  * Bump Standards-Version to 3.8.4
  * Convert packaging to source format 3.0 (quilt), remove quilt build-dep,
    quilt addon in debian/rules, and README.source
  * Bump debhelper build-depend version to 7.3.16, and pkg-kde-tool to 0.5.0
    for the above

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Sat, 27 Feb 2010 14:25:06 -0500

rekonq (0.3.90-0ubuntu4) lucid; urgency=low

  * Fixed debian/control again:
    - rekonq depends on kdebase-bin, not konq-plugins...

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:58:12 +0100

rekonq (0.3.90-0ubuntu3) lucid; urgency=low

  * Fixed debian/control:
    - Recommends konq-plugins

 -- Anthony Mercatante <tonio@ubuntu.com>  Wed, 10 Mar 2010 23:49:42 +0100

rekonq (0.3.90-0ubuntu1) lucid; urgency=low

  * New upstream release
  * Drop kubuntu_01_polish_config_dialog.diff
  * Renamed kubuntu_01_disable_tests.diff to
    kubuntu_01_disable_tests.diff

 -- Anthony Mercatante <tonio@ubuntu.com>  Fri, 12 Feb 2010 16:42:44 -0500

rekonq (0.3.0-0ubuntu3) lucid; urgency=low

  * Add missing epoch to Qt build-depends version

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Nov 2009 13:47:10 +0000

rekonq (0.3.0-0ubuntu2) lucid; urgency=low

  * Rebuild against Qt 4.6 rc 1, which is binary incompatible with 4.6
    beta

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Nov 2009 09:00:03 +0000

rekonq (0.3.0-0ubuntu1) lucid; urgency=low

  * New upstream release:
    - Disable tests with kubuntu_02_disable_tests.diff. We have no interest
      in these and they cause an FTBFS inside the chroot.
  * Transition from kde.mk to dh --with-kde:
    - debian/control: Remove cdbs build-dependency
    - debian/rules: Build with the dh7 kde and quilt addons
  * Add README.source for quilt

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 18 Nov 2009 12:29:25 -0500

rekonq (0.2.90-0ubuntu1) lucid; urgency=low

  * New upstream beta release
  * Add kubuntu_01_polish_config_dialog.diff to polish up the config dialog.

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Tue, 03 Nov 2009 17:15:00 -0500

rekonq (0.2.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.3

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Fri, 21 Aug 2009 16:00:05 -0400

rekonq (0.1.98-0ubuntu1) karmic; urgency=low

  * New upstream release (LP: #413169)

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Thu, 13 Aug 2009 18:23:47 +0200

rekonq (0.1.95-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Bump Standards-Version to 3.8.2

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 03 Aug 2009 12:39:22 -0400

rekonq (0.1-0ubuntu2) karmic; urgency=low

  * Fixed debian/copyright:
    - Fixed authors list, as some copyrighted code is from Arora and
      Arora authors shouldn't be mentionned as upstream 

 -- Anthony Mercatante <tonio@ubuntu.com>  Tue, 02 Jun 2009 19:18:26 +0200

rekonq (0.1-0ubuntu1) karmic; urgency=low

  * Initial release

 -- Anthony Mercatante <tonio@ubuntu.com>  Mon, 2 May 2009 06:52:11 +0200

